package com.gic.haoban.manage.api.dto.qdto.content;

import com.gic.api.base.commons.BasePageInfo;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/29 1:11 PM
 * @Description
 * @Version
 **/
public class InteractRecordQDTO extends BasePageInfo {

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 线索来源
     * @see com.gic.haoban.manage.api.enums.content.InteractRecordChannelSourceType
     */
    private Integer channelSource;

    /**
     * 业务类型 1 素材 2 商品
     */
    private Integer bizTypeAggs;

    /**
     * 事件类型
     * @see com.gic.haoban.manage.api.enums.content.InteractRecordEventType
     */
    private Integer eventTypeAggs;

    /**
     * 是否过滤空数据
     */
    private Integer filterNull;

    /**
     * 开始时间-创建时间
     */
    private Date startTime;

    /**
     * 结束时间-创建时间
     */
    private Date endTime;


    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getChannelSource() {
        return channelSource;
    }

    public void setChannelSource(Integer channelSource) {
        this.channelSource = channelSource;
    }

    public Integer getBizTypeAggs() {
        return bizTypeAggs;
    }

    public void setBizTypeAggs(Integer bizTypeAggs) {
        this.bizTypeAggs = bizTypeAggs;
    }

    public Integer getEventTypeAggs() {
        return eventTypeAggs;
    }

    public void setEventTypeAggs(Integer eventTypeAggs) {
        this.eventTypeAggs = eventTypeAggs;
    }

    public Integer getFilterNull() {
        return filterNull;
    }

    public void setFilterNull(Integer filterNull) {
        this.filterNull = filterNull;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
